
* {
    outline: 1px solid rgb(39, 39, 39);
    outline-offset: -0.5px;
}

:root {
    font-family: monospace;
    font-size: 5.55px;
}

html {
    background-color: #010301;
    color: #fefeff;
}

body {
    display: block;
    position: relative;
    width: 100%;
    height: 100%;
    font-size: 3rem;

    background-color: #0d0e0d;
}

header.sitewide {
    
    width: 100%;
    height: 9rem;
}

footer.sitewide {

    width: 100%;
    height: 100vw;
}

main {
    width: 100%;
    position: relative;
}

article {
    width: 100%;
}

section {

    margin: 11rem auto;
}

.innerWrap, .shrinkCell {

    position: relative;
    margin: 0 auto;
    width: 100%;
    max-width: 1280px;
    outline: 1px solid rgb(139, 197, 255);
}

#nav-toggle-button {

    content: '';
    display: block;
    position: fixed;
    right: 2rem;
    bottom: 2rem;

    width: 20rem;
    height: 12rem;

    border: 1px solid rgb(255, 255, 255);
    background-image: none;
    background-color:rgb(83, 83, 83);
    border-radius: 1px;

    &:hover {

        background-color: rgb(59, 59, 59);
    }

    &:active {

        background-color: black;
    }
}

#nav-modal-menu {

    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    
    background-color: rgb(24, 24, 24);

    &.modalOn {
        display: block;
    }
    &.modalOff {
        display: none;
    }

}

/* PAGE CONTENT */

.section-heading {

    font-size: 3em;
    margin: 1rem 0 1em 0;
}

.body-text {

    font-size: 1em;
    margin: 1rem 0 1em 0;
    line-height: 150%;
    letter-spacing: -1%;
}

